# Makefile for Watcom C for OS/2 compiler, using PDPCLIB.

CC=wcl386
DEFINES=-DOS2
#DEFINES=-DOS2 -DUSE_MBASE
#-DUSE_MBASE -DHAVE_GROW_HANDLES
#COPTS= -wx -d2 -I. $(DEFINES) -zq -y -fpi87 -zm -zl -s -3s -I..\..\pdpclib
COPTS= -oneatx -wx -I. -I..\..\pdpclib $(DEFINES) -zq -y -fpi87 -zm -zl -s -3s

OBJS=tobruk.obj seenby.obj dtsplit.obj getopts.obj \
     faddr.obj mailproc.obj error.obj prseaddr.obj strinl.obj \
     stritr.obj estdio.obj estdlib.obj dtfido.obj trav.obj \
     exists.obj reform.obj patmat.obj pkt.obj repo.obj repofile.obj \
     findkblk.obj slidwin.obj dtsplitm.obj route.obj

tobruk.exe: $(OBJS)
  wlink File tobruk.obj,seenby.obj,dtsplit.obj,\
        getopts.obj,faddr.obj,mailproc.obj,error.obj,prseaddr.obj,strinl.obj,\
        stritr.obj,estdio.obj,estdlib.obj,dtfido.obj,trav.obj,\
        exists.obj,reform.obj,patmat.obj,pkt.obj,repo.obj,repofile.obj,\
        findkblk.obj,slidwin.obj,dtsplitm.obj,route.obj \
        Name tobruk.exe \
        Library ..\..\pdpclib\watcom.lib Library os2386.lib
#        Option quiet
  
.c.obj:
  $(CC) -c $(COPTS) $<

